Package org.apache.lucene.queries.function.valuesource

## Class MultiValuedFloatFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.FloatFieldSource
      - - org.apache.lucene.queries.function.valuesource.MultiValuedFloatFieldSource

-     public class MultiValuedFloatFieldSource
      extends FloatFieldSource

  Obtains float field values from `LeafReader.getSortedNumericDocValues(java.lang.String)` and using a `SortedNumericSelector` it gives a single-valued ValueSource view of a field.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SortedNumericSelector.Type` | `selector` |

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `field`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiValuedFloatFieldSource​(String field, SortedNumericSelector.Type selector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `description()` | description of field, used in explain()
    `boolean` | `equals​(Object o)` |
    `protected NumericDocValues` | `getNumericDocValues​(Map<Object,​Object> context, LeafReaderContext readerContext)` |
    `SortField` | `getSortField​(boolean reverse)` | EXPERIMENTAL: This method is subject to change.
    `int` | `hashCode()` |

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.FloatFieldSource

      `getValues`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `getField`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### selector

          protected final SortedNumericSelector.Type selector

  - ### Constructor Detail

    - #### MultiValuedFloatFieldSource

          public MultiValuedFloatFieldSource​(String field,
                                             SortedNumericSelector.Type selector)

  - ### Method Detail

    - #### getSortField

          public SortField getSortField​(boolean reverse)

      Description copied from class: `ValueSource`
      EXPERIMENTAL: This method is subject to change.

      Get the SortField for this ValueSource. Uses the `ValueSource.getValues(java.util.Map, org.apache.lucene.index.LeafReaderContext)` to populate the SortField.

      Overrides:
        `getSortField` in class `FloatFieldSource`
      Parameters:
        `reverse` - true if this is a reverse sort.
      Returns:
        The `SortField` for the ValueSource

    - #### description

          public String description()

      Description copied from class: `ValueSource`
      description of field, used in explain()
      Overrides:
        `description` in class `FloatFieldSource`

    - #### getNumericDocValues

          protected NumericDocValues getNumericDocValues​(Map<Object,​Object> context,
                                                         LeafReaderContext readerContext)
                                                  throws IOException

      Overrides:
        `getNumericDocValues` in class `FloatFieldSource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `FloatFieldSource`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FloatFieldSource`